<div class="contenedor">
  <app-side-bar></app-side-bar>
  <div class="position-relative">
    <div class="position-relative d-flex justify-content-between align-items-center p-3">
      <!-- Titulo de la página, buscador y calendario -->
      <div class="d-flex row">
        <h1 class="max-content">Inspecciones</h1>
      </div>
      <div class="d-flex">
        <!-- Calendario -->
        <div class="d-flex align-items-center position-relative">
          <div [ngClass]="{'pressed-button': startDate.value !== ''}" class="pressed-button me-4">
            <img class="cursor-pointer" (click)="openCalendar()" src="assets/img/calendario.svg">
          </div>
          <form #calendar class="col visibility-hidden sombra calendario">
            <img class="cross position-absolute cursor-pointer" (click)="closeCalendar()" src="assets/img/xmark.svg">
            <div class="row d-flex mb-3">
              <div class="col-sm-6 max-content mb-2">
                <p class="max-content">Inicio</p>
                <input #startDate type="date">
              </div>
              <div class="col-sm-6 max-content mb-2">
                <p class="max-content">Fin</p>
                <input #endDate type="date">
              </div>
            </div>
            <div class="justify-content-center d-flex">
              <button (click)="removeDate()" class="btn btn-outline-secondary me-3">Borrar</button>
              <button (click)="searchDate()" class="btn btn-primary text-white">Buscar</button>
            </div>
          </form>
        </div>
        <!-- Buscador -->
        <div class="position-relative align-items-center d-flex">
          <input #searchInput (input)="search($event)" class="align-self-center buscador entrada sombra" type="text" placeholder="Buscar" name="buscar">
          <ul *ngIf="searchResults.length > 0" class="list-group position-absolute busqueda">
            <li *ngFor="let result of searchResults" class="list-group-item" (click)="selectResult(result)">
              <span [innerHTML]="result"></span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    <!-- Tabla -->
    <div class="alturaTabla">
      <table class="table table-hover">
        <thead>
          <tr>
            <!-- <th>
              <div class="d-flex align-items-center">
                <div class="custom-control custom-checkbox ml">
                  <input type="checkbox" class="custom-control-input" id="customCheck2">
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th> -->
            <th>
              <div class="d-flex tamCelda2 align-items-center">
                <div>
                  Código
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'codigo')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'codigo')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex tamCelda0 align-items-center">
                <div>
                  Cód. Incidencia
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex tamCelda0 align-items-center">
                <div>
                  Cód. Proyecto
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img (click)="ordenar('asc', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'incidencia')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex tamCelda4 align-items-center">
                <div>
                  Usuario
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'autor')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'autor')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Fecha
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'fechaCreacion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'fechaCreacion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Descripción
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'descripcion')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'descripcion')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  C1
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  C2
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Fotos
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Audios
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Videos
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Estado
                </div>
                <div class="d-flex flex-direction mFlechas">
                  <img (click)="ordenar('asc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
            <th>
              <div class="d-flex align-items-center">
                <div>
                  Acciones
                </div>
                <div class="d-flex flex-direction mFlechas visibility-hidden">
                  <img (click)="ordenar('asc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_arriba_blanca.svg">
                  <img (click)="ordenar('desc', 'estado')" class="flechas cursor-pointer" src="assets/img/flecha_abajo_blanca.svg">
                </div>
              </div>
            </th>
          </tr>
      </thead>
      <tbody *ngIf="loadCompleted">
        <tr *ngFor="let inspeccion of inspecciones; let i = index">
          <!-- <td>
            <div class="custom-control custom-checkbox ml">
                <input type="checkbox" class="custom-control-input" id="customCheck2">
            </div>
          </td> -->
          <td class="align-items-center">{{inspeccion.codigo}}</td>
          <td class="align-items-center">{{inspeccion.incidenciaCod}}</td>
          <td class="align-items-center">{{inspeccion.proyectoCod}}</td>
          <td class="align-items-center">{{inspeccion.autorNombre}}</td>
          <td class="align-items-center">{{inspeccion.fechaCreacion | date:'dd/MM/yy, h:mm:ss a'}}</td>
          <td class="align-items-center">
            <div class="tamCelda">
              {{inspeccion.descripcion}}
            </div>
          </td>
          <td class="align-items-center">{{inspeccion.complemento1}}</td>
          <td class="align-items-center">{{inspeccion.complemento2}}</td>
          <td class="align-items-center link">
            <div *ngFor="let documento of inspeccion.documentos.fotos">
              <p class="cursor-pointer" (click)="descargar(documento)">{{documento}}</p>
            </div>
          </td>
          <td class="align-items-center link">
            <div *ngFor="let documento of inspeccion.documentos.audios">
              <p class="cursor-pointer" (click)="descargar(documento)">{{documento}}</p>
            </div>
          </td>
          <td class="align-items-center link">
            <div *ngFor="let documento of inspeccion.documentos.videos">
              <p class="cursor-pointer" (click)="descargar(documento)">{{documento}}</p>
            </div>
          </td>
          <td class="align-items-center">
            <div [ngClass]="{'conformeInspeccion': inspeccion.estado === 'conforme', 'creada': inspeccion.estado === 'creada', 'noconformeInspeccion' : inspeccion.estado === 'no conforme'}" class="estado">{{inspeccion.estado}}</div>
          </td>
          <td class="align-items-center">
            <div class="d-flex">
              <img (click)="downloadPdf(inspeccion)" class="cursor-pointer me-1" src="assets/img/download.svg">
              <img (click)="abrirAviso(inspeccion)" class="cursor-pointer me-1" src="assets/img/forward-arrow.svg">
              <img (click)="deleteInspeccion(inspeccion)" class="cursor-pointer" src="assets/img/delete.svg">
            </div>
          </td>
        </tr>
      </tbody>
      </table>
    </div>
    <!-- Loading -->
    <div class="d-flex justify-content-center loading" *ngIf="!loadCompleted">
      cargando
    </div>
    <!-- Paginacion -->
    <div class="mt-2 position-absolute bottom-0 w-100">
      <app-pagination (changePage)="changePage($event)" [dataLoaded]="loadCompleted" [recordsTotal]="recordsTotal" [recordCurrent]="recordCurrent + 1" [recordsPerPage]="recordsPerPage"></app-pagination>
    </div>
    <!-- Modal -->
    <div #avisoInspeccion class=" visibility-hidden">
      <app-notify-form  (cancel)="cancelNotify()" [notificationData]="notificationData"></app-notify-form>
    </div>
  </div>
</div>
